Subject: Bug#583 closed by Mike Gabriel <[email-masked]> (Re: [X2Go-Dev] Bug#583: Solved - problem in my application)

From: [email-masked] (X2Go Bug Tracking System)
Date: Wed, 22 Oct 2014 12:00:02 +0000

This is an automatic notification regarding your Bug report
which was filed against the x2goclient package:

#583: Windows client closes session when inactive

It has been closed by Mike Gabriel <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mike Gabriel <[email-masked]> by
replying to this email.

-- 
583: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=583
X2Go Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [X2Go-Dev] Bug#583: Solved - problem in my application
From: Mike Gabriel <[email-masked]>
To: Hanak <[email-masked]>, [email-masked]
Date: Wed, 22 Oct 2014 11:56:56 +0000

Control: close -1

On  Mi 22 Okt 2014 11:56:58 CEST, Hanak wrote:

> Hi,
>
> yesterday I discover a bug in my application which caused the problem!
> We were used to start the application from nxclient since ages and I
> completely forgot, that there was some very old "cleaning" procedure
> which was actually trying to solve some problems with nxclient stalled
> sessions. This "cleaning" procedure couldn't coexist with the different
> approach x2goclient, which caused closing of x2go sessions after some
> time of inactivity.
>
> Thanks a lot for all your help a I apologize for any disturbance.
> Good thing is that I could learn much more about how x2go works...
>
> The bug 583 can be considered as closed.
>
> Pavel

Closing bug due to bug submitter's feedback.

Thanks,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb

Subject: Windows client closes session when inactive
From: Pavel Hanák <[email-masked]>
To: [email-masked]
Date: Tue, 26 Aug 2014 15:40:43 +0200

Package: x2goclient
Version: 4.2.0.1+hotfix1+build3

Hello. I am using nx-client to run some linux programs
on windows. I wanted to switch to x2go but
I experience problems with disconnecting/terminating
my session after some time of inactivity. That means,
when I e.g. minimize my x2goclient window then
after some time (cca 7-12 minutes) the session
terminates without any explanation.
This happens only in windows client, not in linux client.

I tried to look the content of session.log file on the server,
but I don't see anything useful:

    running as X2Go Agent
     
    NXAGENT - Version 3.5.0
     
    Copyright (C) 2001, 2011 NoMachine.
    See http://www.nomachine.com/ for more information.
     
    Info: Agent running with pid '21950'.
    Session: Starting session at 'Tue Jul 29 09:22:20 2014'.
    Info: Proxy running in server mode with pid '21950'.
    Info: Waiting for connection from 'localhost' on port '30052'.
    Info: Accepted connection from '127.0.0.1'.
    Info: Connection with remote proxy completed.
    Info: Using LAN link parameters 1536/24/1/0.
    Info: Using agent parameters 5000/0/50/0/0.
    Info: Using pack method '16m-jpeg-7' with session 'unix-kde-depth_32'.
    Info: Not using NX delta compression.
    Info: Not using ZLIB data compression.
    Info: Not using ZLIB stream compression.
    Info: Not using a persistent cache.
    Info: Listening to X11 connections on display ':68'.
    Info: Established X client connection.
    Info: Using shared memory parameters 1/1/0/0K.
    Info: Using auto-disconnect timeout of 3600 seconds.
    Info: Using alpha channel in render extension.
    Info: Not using local device configuration changes.
    keyboard file created
    SessionPath not defined
    Session: Session started at 'Tue Jul 29 09:22:22 2014'.
    Info: Screen [0] resized to geometry [1920x1084] fullscreen [0].
    Session: Terminating session at 'Tue Jul 29 09:30:02 2014'.
    Info: Waiting the cleanup timeout to complete.
    Session: Session terminated at 'Tue Jul 29 09:30:02 2014'.

Pavel